Name:           qcint
Version:        1.8.6
Release:        1%{?dist}
Summary:        An optimized libcint branch for X86 platform

License:        GPLv3+
URL:            https://github.com/sunqm/qcint
Source0:        https://github.com/sunqm/qcint/archive/v1.8.6.tar.gz

# This package uses SSE3 extensions
ExclusiveArch:  x86_64
# The general package cannot be installed at the same time
Conflicts:	libcint

BuildRequires:  atlas-devel 
BuildRequires:  cmake 
BuildRequires:  sbcl
BuildRequires:  python2-devel 
BuildRequires:  numpy 

%description    
Qcint is a branch of libcint library. 
It provides exactly the same APIs as libcint. 
However, the code is optimized against SSE3 instructions. 
On x86_64 platform, qcint can be 5 ~ 50% faster than libcint. 
Please refer to libcint for more details of the features and 
installation instructions.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
mkdir build
cd build
export CXXFLAGS="%{optflags} -Wl,--as-needed"
%cmake .. -DWITH_RANGE_COULOMB=ON -DBLAS_LIBRARIES=%{_libdir}/atlas/libtatlas.so
make %{?_smp_mflags} VERBOSE=1

%install
make -C build install DESTDIR=%{buildroot}

%check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc README.md ChangeLog
%license LICENSE
%{_libdir}/libcint.so.*

%files devel
%{_includedir}/cint.h
%{_libdir}/libcint.so

%changelog
* Tue Jul 19 2016 Matt Chan <talcite@gmail.com> - 1.8.6-1
- Initial build
